package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletOrderItemDate;

/**
 * 订单信息表Mapper接口
 *
 * @author daixiande
 */
public interface AppletOrderItemDateMapper {
    /**
     * 查询订单信息表
     *
     * @param id 订单信息表主键
     * @return 订单信息表
     */
    AppletOrderItemDate selectById(Long id);

    /**
     * 查询订单信息表列表
     *
     * @param appletOrderItemDate 订单信息表
     * @return 订单信息表集合
     */
    List<AppletOrderItemDate> selectList(AppletOrderItemDate appletOrderItemDate);

    /**
     * 新增订单信息表
     *
     * @param appletOrderItemDate 订单信息表
     * @return 结果
     */
    int insert(AppletOrderItemDate appletOrderItemDate);

    /**
     * 修改订单信息表
     *
     * @param appletOrderItemDate 订单信息表
     * @return 结果
     */
    int update(AppletOrderItemDate appletOrderItemDate);

    /**
     * 删除订单信息表
     *
     * @param id 订单信息表主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除订单信息表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 更新或插入订单信息表
     *
     * @param appletOrderItemDate 订单信息表
     * @return 结果
     */
    int insertOrUpdate(AppletOrderItemDate appletOrderItemDate);
}
